iwlwifi-7260-8.ucode causes network disconnections problems

Bug #1293569 reported by Barry on 2014-03-17
286
This bug affects 56 people
Affects Status Importance Assigned to Milestone
Linux Mint
Undecided
Unassigned
linux-firmware (Ubuntu)
Medium
Unassigned
Precise
Undecided
Tim Gardner
Trusty
Undecided
Tim Gardner

Bug Description

Running 14.04 (beta) with Kernel 3.13.0-17-generic

I've encountered a strange and reproducible error with the iwlwifi-7260-8.ucode firmware.

This laptop is a Dell XPS 12 (haswell). With the -8 firmware, it will connect fine to wifi for 30 or 40 mins at a time, then will start dropping connections repeatedly. Even modprobe -r unloading and reloading doesn't fix the issue, only a reboot will temporarily solve it for 40 mins at a time.

Moreover, here is what's strange, is during these episodes of disconnection it seems to affect the actual router (2Wire), as the other devices in the house will also start to have issues (very slow connections, limited range,etc). Once I reboot this laptop everything and all devices will return to normal.

This issue has been fixed by me manually removing the -8 firware from /lib/firmware and letting the -7 firmware load instead. Since that has been done there has not been a single issue of this happening (now going on 4 days).

let me know if there is any other information you would like me to provide.

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: linux-firmware 1.126
ProcVersionSignature: Ubuntu 3.13.0-17.37-generic 3.13.6
Uname: Linux 3.13.0-17-generic x86_64
ApportVersion: 2.13.3-0ubuntu1
Architecture: amd64
CurrentDesktop: Unity
Date: Mon Mar 17 08:13:25 2014
Dependencies:

EcryptfsInUse: Yes
InstallationDate: Installed on 2014-03-07 (9 days ago)
InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Alpha amd64 (20140307)
PackageArchitecture: all
SourcePackage: linux-firmware
UpgradeStatus: No upgrade log present (probably fresh install)

Barry (barry-magicrd) wrote :
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.14 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.14-rc7-trusty/

Changed in linux-firmware (Ubuntu):
importance: Undecided → Medium
tags: added: kernel-da-key
Barry (barry-magicrd) wrote :

Joseph.

I have tested using the upstream kernel you recommended (3.14.0-031400rc7-generic #201403162235), however same problem persist.

Strangely the error seems to always materialize at the 20 - 25 min mark from boot. Then sometimes it will reconnect, sometimes not - but never for more than 5 mins successfully at a time.

Further, just like in previous kernel, problem is aleviated by moving to -7 firmware.

Lastly, your post mentioned adding a tag of 'kernel-bug-exists-upstream', however I don't seem to see a way to do that? Sorry about that, newbie here.

Please advise.

tags: added: kernel-da-keykernel-bug-exists-upstream
removed: kernel-da-key
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux-firmware (Ubuntu):
status: New → Confirmed
Taylan Tatlı (taylantatli90) wrote :

same thing with iwlwifi and kernel 3.13 and 3.14 on arch linux. So i tired of it and tried ubuntu 14.04 but same thing was there. Now i'm on arch linux again and waiting for an solution. :/

I have the same problem with Dell XPS 13 running Ubuntu 14.04.

Thibauld (thibauld) wrote :

Same here with a freshly installed Ubuntu 14.04 running kernel 3.13.0-24-generic #46-Ubuntu SMP
I am using this wireless card :
http://www.intel.com/content/www/us/en/wireless-products/dual-band-wireless-ac-7260-bluetooth.html

Right after installation, wifi was extremely slow (to the point where browsing the web was not possible).

I found a workaround that fixed the issue following the instructions given here:
http://zeroset.mnim.org/2014/04/22/unstable-wifi-connection-on-ubuntu-14-04-trusty-tahr-ctrl-event-disconnected-reason4-locally_generated1/

Thibauld (thibauld) wrote :
Download full text (4.4 KiB)

I just got a disconnection, here is what syslog has to say about it:

Apr 30 12:53:06 thibauld-desktop wpa_supplicant[815]: message repeated 47 times: [ wlan0: CTRL-EVENT-SCAN-STARTED ]
Apr 30 12:54:54 thibauld-desktop wpa_supplicant[815]: wlan0: CTRL-EVENT-DISCONNECTED bssid=cc:35:40:57:80:e1 reason=4 locally_generated=1
Apr 30 12:54:54 thibauld-desktop NetworkManager[699]: <warn> Connection disconnected (reason -4)
Apr 30 12:54:54 thibauld-desktop kernel: [14259.692842] cfg80211: Calling CRDA to update world regulatory domain
Apr 30 12:54:54 thibauld-desktop kernel: [14259.695285] cfg80211: World regulatory domain updated:
Apr 30 12:54:54 thibauld-desktop kernel: [14259.695288] cfg80211: (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
Apr 30 12:54:54 thibauld-desktop kernel: [14259.695290] cfg80211: (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Apr 30 12:54:54 thibauld-desktop kernel: [14259.695292] cfg80211: (2457000 KHz - 2482000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Apr 30 12:54:54 thibauld-desktop kernel: [14259.695293] cfg80211: (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
Apr 30 12:54:54 thibauld-desktop kernel: [14259.695294] cfg80211: (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Apr 30 12:54:54 thibauld-desktop kernel: [14259.695295] cfg80211: (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Apr 30 12:54:54 thibauld-desktop NetworkManager[699]: <info> (wlan0): supplicant interface state: completed -> disconnected
Apr 30 12:54:54 thibauld-desktop wpa_supplicant[815]: wlan0: CTRL-EVENT-SCAN-STARTED
Apr 30 12:54:54 thibauld-desktop NetworkManager[699]: <info> (wlan0): supplicant interface state: disconnected -> scanning
Apr 30 12:54:58 thibauld-desktop wpa_supplicant[815]: wlan0: SME: Trying to authenticate with cc:35:40:57:80:e1 (SSID='Math Network' freq=2462 MHz)
Apr 30 12:54:58 thibauld-desktop kernel: [14263.454497] wlan0: authenticate with cc:35:40:57:80:e1
Apr 30 12:54:58 thibauld-desktop kernel: [14263.456106] wlan0: send auth to cc:35:40:57:80:e1 (try 1/3)
Apr 30 12:54:58 thibauld-desktop NetworkManager[699]: <info> (wlan0): supplicant interface state: scanning -> authenticating
Apr 30 12:54:58 thibauld-desktop wpa_supplicant[815]: wlan0: Trying to associate with cc:35:40:57:80:e1 (SSID='Math Network' freq=2462 MHz)
Apr 30 12:54:58 thibauld-desktop kernel: [14263.460143] wlan0: authenticated
Apr 30 12:54:58 thibauld-desktop kernel: [14263.463419] wlan0: associate with cc:35:40:57:80:e1 (try 1/3)
Apr 30 12:54:58 thibauld-desktop kernel: [14263.466334] wlan0: RX AssocResp from cc:35:40:57:80:e1 (capab=0x411 status=0 aid=5)
Apr 30 12:54:58 thibauld-desktop kernel: [14263.467056] wlan0: associated
Apr 30 12:54:58 thibauld-desktop NetworkManager[699]: <info> (wlan0): supplicant interface state: authenticating -> associating
Apr 30 12:54:58 thibauld-desktop wpa_supplicant[815]: wlan0: Associated with cc:35:40:57:80:e1
Apr 30 12:54:58 thibauld-desktop NetworkManager[699]: <info> (wlan0): supplicant interface state: associating -> associated
Apr 30 12:54:58 thibauld-desktop NetworkManager[699]: <info> (wlan0): supplicant interface state: associate...

Read more...

Emmanuel Grumbach (egrumbach) wrote :

can you try to re-enabled 11n and disable powersave:

sudo iw wlan0 set power_save off?

thanks

Thibauld (thibauld) wrote :

I just tried by doing the following:
1. re-enabling 11n
2. rebooting
3. disabling powersave
=> does not work

The PC looks connected to the AP but even google.com will time-out after some time (DNS_PROBE_FINISHED_NO_INTERNET).
Tried another website (http://test.com). Very slow connection. After a while, part of the website displays but lots of elements in the page don't show. A look at the console log shows that the browser got a net::ERR_NAME_RESOLUTION_FAILED for the elements in the page that do not show.

Let me know if I can help more.
The best I could do so far was installing mainline kernel 3.14.1 as well as the related firmware microcode from:
http://wireless.kernel.org/en/users/Drivers/iwlwifi

But even with this setup, I would still need to disable 11n to get wifi working. So in the end, I wonder if installing the new kernel really had any impact at all. I am not quite sure.

decoder (decoder-ubuntu) wrote :

I can fully confirm the original reporter's observations. I have a 2nd generation Thinkpad X1 Carbon here with the same wireless card and I had exactly the same symptoms:

* Connectivity losses
* Bad performance
* Once the device uses wireless (e.g. a download), all other devices in the same wireless network experience problems (e.g. very high latency with spikes up to 2000ms).

I've disabled the -8 firmware as described in comment 0 and so far, all issues are gone.

Ted Gould (ted) wrote :

My wireless (XPS13 Hashwell) was basically useless as it was crashing. Followed the advice here and switched to the -7 firmware and have had wireless all day. I'm free from the Ethernet! And it's spring so going outside is important!

Emmanuel Grumbach (egrumbach) wrote :

can someone have a sniffer capture of this? This would be very useful.
One more point - if you can increase the debug level of the supplicant, this would be nice.
Also, there are 2 -8 firmware. One is 22.15.8.0, the other one is 22.24.8.0. Can you please let me know which one you are using?
The version appear at load time.
I also would like to know what is the AP you are using.

I know we have bugs with uAPSD (that are fixed in -9 firmware) - but uAPSD is disabled on your kernel (thanks Seth).
I have another report about this very same behavior on kernel.org (https://bugzilla.kernel.org/show_bug.cgi?id=74311).

thank you.

On Sun, May 04, 2014 at 03:52:02PM -0000, Emmanuel Grumbach wrote:
> can someone have a sniffer capture of this? This would be very useful.
> One more point - if you can increase the debug level of the supplicant, this would be nice.

If anyone wants to try this, I have a script which might help. It can be
downloaded from http://people.canonical.com/~sforshee/wifi-debug. After
downloading you need to do the following in a terminal after changing to
the directory where you donwloaded the file:

  sudo apt-get install iw tshark
  chmod +x wifi-debug
  sudo ./wifi-debug -p

Wait for the problem to occur, then press Ctrl-C and wait for the script
to finish. After it completes you will have a file named
wifi-debug-files.tar.gz with the requested data.

Note that this file will be large (potentially very large if it runs for
a long time) and may contain some private information, though WPA/WEP
keys should not be present and data sent on an encrypted network will be
encrypted. However you still may want to share the file in a less public
way, e.g. upload it to dropbox or similar and send Emmanuel or me a
link.

And if anyone has the know-how to capture a sniff using a monitor
interface on a separate machine, that would be preferable to the method
used in the script.

Thanks!

> Also, there are 2 -8 firmware. One is 22.15.8.0, the other one is 22.24.8.0. Can you please let me know which one you are using?
> The version appear at load time.

Emmanuel: The firmware version in our linux-firmware package is
22.24.8.0.

Daniel Manrique (roadmr) wrote :

I'm on a Dell XPS 13 with Ubuntu 14.04 with kernel 3.13.0-24 and I'm not affected by this problem. I checked and, even though the -8 firmware exists in /lib/firmware, my iwlwifi module is only loading the -7 firmware.

If this can help in any way (i.e. why is my laptop loading the -7 module while other presumably identical ones aren't) please let me know, I can provide any details or diagnostic information needed.

Seth Forshee (sforshee) wrote :

On Mon, May 05, 2014 at 02:52:41PM -0000, Daniel Manrique wrote:
> I'm on a Dell XPS 13 with Ubuntu 14.04 with kernel 3.13.0-24 and I'm not
> affected by this problem. I checked and, even though the -8 firmware
> exists in /lib/firmware, my iwlwifi module is only loading the -7
> firmware.
>
> If this can help in any way (i.e. why is my laptop loading the -7 module
> while other presumably identical ones aren't) please let me know, I can
> provide any details or diagnostic information needed.

Are you sure that it loads -7? Beware, modinfo seems to be lying (well,
actually iwlwifi is lying and modinfo just repeats the lie).

What does 'dmesg | grep "iwlwifi .* loaded firmware version"' say?

1 comments hidden view all 109 comments
Tim Gardner (timg-tpi) wrote :

Emmanuel - The issue with modinfo is that IWL7260_UCODE_API_MAX is never referenced in a MODULE_FIRMWARE() macro.

drivers/net/wireless/iwlwifi/iwl-7000.c:
MODULE_FIRMWARE(IWL7260_MODULE_FIRMWARE(IWL7260_UCODE_API_OK));
MODULE_FIRMWARE(IWL3160_MODULE_FIRMWARE(IWL3160_UCODE_API_OK));

It appears that this -8 firmware is causal on Haswell, so I'm going to remove it from our stable releases (Precise/Trusty) until it gets sorted.

Tim Gardner (timg-tpi) on 2014-05-05
Changed in linux-firmware (Ubuntu Precise):
assignee: nobody → Tim Gardner (timg-tpi)
status: New → Fix Committed
Changed in linux-firmware (Ubuntu Trusty):
assignee: nobody → Tim Gardner (timg-tpi)
status: New → Fix Committed
Seth Forshee (sforshee) wrote :

On Mon, May 05, 2014 at 04:21:02PM -0000, Emmanuel Grumbach wrote:
> any suggestions to fix the lie are welcome :)

I guess lie was a bit strong, how about half-truth ;-)

I don't know if it's something which needs a fix, I just wanted to warn
that what modinfo says in this case doesn't indicate which firmware is
actually used.

> The thing is that MODULE_FIRMWARE can't really check what firmware has
> been loaded.

Right, the point is to declare what firmware the driver can use, not
what it is using right now. This probably isn't the right forum to hash
this out, so if I decide we need to fix it I'll send you a patch.

Hello Barry, or anyone else affected,

Accepted linux-firmware into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/linux-firmware/1.79.14 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Adam Conrad (adconrad) wrote :

Hello Barry, or anyone else affected,

Accepted linux-firmware into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/linux-firmware/1.127.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Daniel Manrique (roadmr) wrote :

@Seth:

Right, lsmod is lying:

[ 9.237101] iwlwifi 0000:02:00.0: loaded firmware version 22.24.8.0 op_mode iwlmvm

Still, I don't get the disconnections and failures reported in this bug... strange!

Emmanuel Grumbach (egrumbach) wrote :

No it is not strange.
This bug affects a few users only. I bet it is related to the AP model.

Can the people who suffer from the bug send the details of their AP ?

Daniel Manrique (roadmr) wrote :

Maybe it's related to the band in use?

The syslog from comment #8 shows a 2.4GHz AP:

(SSID='Math Network' freq=2462 MHz)

Both of the ones I use (without any problems so far) are 5GHz 802.11n. I don't think I've ever used a 2.4GHz Ap with this laptop. One is an Asus RT-N66U, the other is some enterprisey Cisco model.

Emmanuel Grumbach (egrumbach) wrote :

Daniel, if you don't have issues, this is not very useful...

Seth Forshee (sforshee) wrote :

Daniel: I've tested various APs in my possession on both 2.4 and 5 GHz and don't see these problems either, so as far as I can tell it is not related to the frequency band.

And to everyone affected, please respond to Emmanuel's requests for information. He's the maintainer of the iwlwifi driver, so helping him is the best way to help get this problem fixed.

Hi Emmanuel.

Original submitter here:

Unfortunately I haven't had time to try to capture packets during failure, but I'm open to doing that (hopefully today or tomorrow).

Here are the details for my AP:

Overview: This is one of the standard ATT Uverse Modems. No specific config changes (besides password), otherwise stock standard.
Manufacturer: Pace Plc
Model: 3800HGV-B
Software Version: 6.9.1.42-plus.tm
Wireless Mode: 802.11b/g
Auth Type: WPA-PSK (TKIP) and WPA2-PSK (AES)
DTIM Period: 1
Rate: 54Mbps

Others in thread who are affected, please post an overview of your AP so that a profile can be built.

Regards,
Barry

On May 6, 2014, at 12:00 PM, Emmanuel Grumbach <email address hidden> wrote:

> Daniel, if you don't have issues, this is not very useful...
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1293569
>
> Title:
> iwlwifi-7260-8.ucode causes network disconnections problems
>
> Status in “linux-firmware” package in Ubuntu:
> Confirmed
> Status in “linux-firmware” source package in Precise:
> Fix Committed
> Status in “linux-firmware” source package in Trusty:
> Fix Committed
>
> Bug description:
> Running 14.04 (beta) with Kernel 3.13.0-17-generic
>
> I've encountered a strange and reproducible error with the
> iwlwifi-7260-8.ucode firmware.
>
> This laptop is a Dell XPS 12 (haswell). With the -8 firmware, it will
> connect fine to wifi for 30 or 40 mins at a time, then will start
> dropping connections repeatedly. Even modprobe -r unloading and
> reloading doesn't fix the issue, only a reboot will temporarily solve
> it for 40 mins at a time.
>
> Moreover, here is what's strange, is during these episodes of
> disconnection it seems to affect the actual router (2Wire), as the
> other devices in the house will also start to have issues (very slow
> connections, limited range,etc). Once I reboot this laptop everything
> and all devices will return to normal.
>
> This issue has been fixed by me manually removing the -8 firware from
> /lib/firmware and letting the -7 firmware load instead. Since that has
> been done there has not been a single issue of this happening (now
> going on 4 days).
>
> let me know if there is any other information you would like me to
> provide.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 14.04
> Package: linux-firmware 1.126
> ProcVersionSignature: Ubuntu 3.13.0-17.37-generic 3.13.6
> Uname: Linux 3.13.0-17-generic x86_64
> ApportVersion: 2.13.3-0ubuntu1
> Architecture: amd64
> CurrentDesktop: Unity
> Date: Mon Mar 17 08:13:25 2014
> Dependencies:
>
> EcryptfsInUse: Yes
> InstallationDate: Installed on 2014-03-07 (9 days ago)
> InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Alpha amd64 (20140307)
> PackageArchitecture: all
> SourcePackage: linux-firmware
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux-firmware/+bug/1293569/+subscriptions

Sam Lin (itrs-lin) wrote :
Download full text (3.7 KiB)

same issue, my AP:

ASUS, RT-N12HP

use 802.11g/n mode, 2.4G channels
2014/5/7 上午1:55 於 "Barry" <email address hidden> 寫道:

> Hi Emmanuel.
>
> Original submitter here:
>
> Unfortunately I haven't had time to try to capture packets during
> failure, but I'm open to doing that (hopefully today or tomorrow).
>
> Here are the details for my AP:
>
> Overview: This is one of the standard ATT Uverse Modems. No
> specific config changes (besides password), otherwise stock standard.
> Manufacturer: Pace Plc
> Model: 3800HGV-B
> Software Version: 6.9.1.42-plus.tm
> Wireless Mode: 802.11b/g
> Auth Type: WPA-PSK (TKIP) and WPA2-PSK (AES)
> DTIM Period: 1
> Rate: 54Mbps
>
> Others in thread who are affected, please post an overview of your AP so
> that a profile can be built.
>
> Regards,
> Barry
>
> On May 6, 2014, at 12:00 PM, Emmanuel Grumbach <email address hidden>
> wrote:
>
> > Daniel, if you don't have issues, this is not very useful...
> >
> > --
> > You received this bug notification because you are subscribed to the bug
> > report.
> > https://bugs.launchpad.net/bugs/1293569
> >
> > Title:
> > iwlwifi-7260-8.ucode causes network disconnections problems
> >
> > Status in “linux-firmware” package in Ubuntu:
> > Confirmed
> > Status in “linux-firmware” source package in Precise:
> > Fix Committed
> > Status in “linux-firmware” source package in Trusty:
> > Fix Committed
> >
> > Bug description:
> > Running 14.04 (beta) with Kernel 3.13.0-17-generic
> >
> > I've encountered a strange and reproducible error with the
> > iwlwifi-7260-8.ucode firmware.
> >
> > This laptop is a Dell XPS 12 (haswell). With the -8 firmware, it will
> > connect fine to wifi for 30 or 40 mins at a time, then will start
> > dropping connections repeatedly. Even modprobe -r unloading and
> > reloading doesn't fix the issue, only a reboot will temporarily solve
> > it for 40 mins at a time.
> >
> > Moreover, here is what's strange, is during these episodes of
> > disconnection it seems to affect the actual router (2Wire), as the
> > other devices in the house will also start to have issues (very slow
> > connections, limited range,etc). Once I reboot this laptop everything
> > and all devices will return to normal.
> >
> > This issue has been fixed by me manually removing the -8 firware from
> > /lib/firmware and letting the -7 firmware load instead. Since that has
> > been done there has not been a single issue of this happening (now
> > going on 4 days).
> >
> > let me know if there is any other information you would like me to
> > provide.
> >
> > ProblemType: Bug
> > DistroRelease: Ubuntu 14.04
> > Package: linux-firmware 1.126
> > ProcVersionSignature: Ubuntu 3.13.0-17.37-generic 3.13.6
> > Uname: Linux 3.13.0-17-generic x86_64
> > ApportVersion: 2.13.3-0ubuntu1
> > Architecture: amd64
> > CurrentDesktop: Unity
> > Date: Mon Mar 17 08:13:25 2014
> > Dependencies:
> >
> > EcryptfsInUse: Yes
> > InstallationDate: Installed on 2014-03-07 (9 days ago)
> > InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Alpha amd64
> (20140307)
> > PackageA...

Read more...

Emmanuel Grumbach (egrumbach) wrote :

Ok - I'd like to see the dmesg output of someone who has the uAPSD fix.

If possible, I'd like to test this:

diff --git a/drivers/net/wireless/iwlwifi/mvm/power.c b/drivers/net/wireless/iwlwifi/mvm/power.c
index 550824a..07b8653 100644
--- a/drivers/net/wireless/iwlwifi/mvm/power.c
+++ b/drivers/net/wireless/iwlwifi/mvm/power.c
@@ -610,6 +610,7 @@ int iwl_mvm_enable_beacon_filter(struct iwl_mvm *mvm,
            vif->type != NL80211_IFTYPE_STATION || vif->p2p)
                return 0;

+ return 0;
        iwl_mvm_beacon_filter_set_cqm_params(mvm, vif, &cmd);
        iwl_mvm_beacon_filter_debugfs_parameters(vif, &cmd);
        ret = iwl_mvm_beacon_filter_send_cmd(mvm, &cmd);

Can someone test this?
We are having trouble to reproduce here.

Seth Forshee (sforshee) wrote :

I made a build for testing the change in comment #29, which is available at http://people.canonical.com/~sforshee/lp1293569/linux-3.13.0-26.48+lp1293569v201405121159/.

Emmanuel: I assume the dmesg need to be from a device experiencing problems? If not I can get one for you.

The verification of the Stable Release Update for linux-firmware has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.127.2

---------------
linux-firmware (1.127.2) trusty; urgency=medium

  * UBUNTU: Remove iwlwifi-7260-8.ucode for regression
    -LP: #1293569

linux-firmware (1.127.1) trusty; urgency=medium

  * Add firmware file to support Intel 7265 (Stone Peak) for linux v3.13+
    http://wireless.kernel.org/en/users/Drivers/iwlwifi?action=AttachFile&do=get&target=iwlwifi-7265-ucode-22.24.8.0.tgz
    -LP: #1188092
 -- Tim Gardner <email address hidden> Mon, 05 May 2014 15:00:39 -0600

Changed in linux-firmware (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.79.14

---------------
linux-firmware (1.79.14) precise; urgency=medium

  * Remove iwlwifi-7260-8.ucode for regression
    The -8 API appears to cause regression on Haswell.
    -LP: #1293569

linux-firmware (1.79.13) precise; urgency=medium

  * Add firmware file to support Intel 7265 (Stone Peak) for linux v3.13+ (linux-lts-trusty)
    http://wireless.kernel.org/en/users/Drivers/iwlwifi?action=AttachFile&do=get&target=iwlwifi-7265-ucode-22.24.8.0.tgz
    -LP: #1188092
 -- Tim Gardner <email address hidden> Mon, 05 May 2014 14:46:02 -0600

Changed in linux-firmware (Ubuntu Precise):
status: Fix Committed → Fix Released
Emmanuel Grumbach (egrumbach) wrote :

Yes Seth - I was meaning the dmesg output from a machine experiencing the problem.

Simone Bordet (simone-bordet) wrote :

I wanted to confirm that I was suffering of this bug, but reverting to the -7 (22.1.7.0) firmware solved the issue for me on AC 7260.

When I was experiencing the problem the firmware in use was 22.24.8.0, and my dmesg reported what reported in message #8 above. Turning off power save did not make any difference.

My AP is a Netgear DGN 3500 on channel 11, 2.4 GHz, configured with "Up to 300 Mbps" mode, so 802.11n.

Emmanuel Grumbach (egrumbach) wrote :

I have collected all the APs' reference and communicated them to our testing team. We will try to reproduce internally.

Emmanuel Grumbach (egrumbach) wrote :

Can someone tell me what are the IWLWIFI related CONFIG options enabled?

I'd like to make sure that IWLWIFI_BCAST_FILTERING is not enabled.

Arthur Zalevsky (aozalevsky) wrote :

I'm also affected by this bug:

[ 3.252469] iwlwifi 0000:02:00.0: loaded firmware version 22.24.8.0 op_mode iwlmvm

Sent debug information collected by wifi-debug to Seth Forshee.

Additional information about my AP:

TP-Link TL1043WND with OpenWRT
Mode: Master | SSID: xxx
BSSID: XX:XX:XX:XX:XX:XX | Encryption: WPA2 PSK (CCMP)
Channel: 5 (2.432 GHz) | Tx-Power: 20 dBm
Signal: -48 dBm | Noise: -95 dBm
Bitrate: 48.7 Mbit/s | Country: RU

Mode 802.11g+n
HT mode 40MHz 2nd channel above

Emmanuel Grumbach (egrumbach) wrote :

So I was wrong - 3.13 can get -9.ucode. I though 3.13 was too old, but it is ok and I touch tested it.

Can someone check this?

Just need to update the iwl-7000.c and update the firmware.

tags: added: patch
Changed in linux-firmware (Ubuntu):
status: Confirmed → New
status: New → Invalid
Luis Henriques (henrix) on 2014-07-10
tags: added: verification-needed-trusty
tags: added: verification-done-trusty
removed: verification-needed-trusty
Tim Gardner (timg-tpi) on 2014-07-12
Changed in linux-firmware (Ubuntu Trusty):
status: Fix Released → Fix Committed
29 comments hidden view all 109 comments
Jason Gerard DeRose (jderose) wrote :

As far as I can tell, there is no difference between using the proposed linux-firmware (1.127.5) package vs the stable linux-firmware (1.127.4) package plus a manually installed /lib/firmware/iwlwifi-7260-8.ucode file, a combination that has produced favorable results in my previous testing.

I confirmed that the sha1sum of the iwlwifi-7260-8.ucode file delivered in the linux-firmware (1.127.5) packaged matches the sha1sum of the iwlwifi-7260-8.ucode file I had manually installed for testing:

$ sha1sum /lib/firmware/iwlwifi-7260-8.ucode
7cf634ec52887c4dd6c87241e3b6ae862c7c0e0e /lib/firmware/iwlwifi-7260-8.ucode

As such, I'm changing the tags:
verification-needed => verification-done

tags: added: verification-done
Jason Gerard DeRose (jderose) wrote :

Hmm, I guess a "verification-needed" tag wasn't actually present, despite the (automated?) comment #69.

Regardless, I added a "verification-done" tag for good measure :D

JaSauders (jasauders) wrote :

@ Jason Gerard DeRose

Thanks for your tip, but I'm a little confused. I ran grep before I downloaded/extracted anything as you recommended above, and I got:

jason@JSXPS:~$ dmesg | grep iwlwifi
[ 4.927130] iwlwifi 0000:02:00.0: irq 60 for MSI/MSI-X
[ 5.010242] iwlwifi 0000:02:00.0: loaded firmware version 22.24.8.0 op_mode iwlmvm
[ 5.082853] iwlwifi 0000:02:00.0: Detected Intel(R) Dual Band Wireless AC 7260, REV=0x144
[ 5.083253] iwlwifi 0000:02:00.0: L1 Enabled; Disabling L0S
[ 5.083514] iwlwifi 0000:02:00.0: L1 Enabled; Disabling L0S
[ 5.862187] iwlwifi 0000:02:00.0: L1 Enabled; Disabling L0S
[ 5.862437] iwlwifi 0000:02:00.0: L1 Enabled; Disabling L0S
[ 945.229994] iwlwifi 0000:02:00.0: L1 Enabled; Disabling L0S
[ 945.230254] iwlwifi 0000:02:00.0: L1 Enabled; Disabling L0S
[ 1720.447091] iwlwifi 0000:02:00.0: L1 Enabled; Disabling L0S
[ 1720.447348] iwlwifi 0000:02:00.0: L1 Enabled; Disabling L0S

Does the line "[ 5.010242] iwlwifi 0000:02:00.0: loaded firmware version 22.24.8.0 op_mode iwlmvm" not indicate that I am on the newer firmware?

I came back here after I started having issues here at home. I must have disconnected from my home router six times this evening while I'm sitting across the room from it. I had proposed enabled so I could pull down Unity 7.2.2 for an unrelated bug test, so that line with the 8 entry makes me wonder if I got the update without realizing it. What concerns me is if I *did* get the update, then this clearly is not fixed... since, after all, if it were fixed I wouldn't have lost connection so many times tonight (I tested other laptops and had no issue. In one instance, my laptop disconnected while others were all connected and actively pulling large ISO files wirelessly from my file server). Sadly, I even just now lost wireless again as I was typing this...

Before I begin tinkering with switching this or that I wanted to get some confirmation here by the folks who clearly know more so I can be accurate with what I'm doing. Thanks!

JaSauders (jasauders) wrote :

I just ran sha1sum against the download in that link above as well as the 7260 8.ucode that is currently in /lib/firmware and confirm they match. It seems as if I am indeed running the latest patch that is in proposed after all. As a result, something is still wildly wrong, or else I did something wrong... and believe me I'd rather know I goofed than know that this bug is still not fixed, so by all means fire away if you think I goofed somewhere. But all I can say is this very laptop is the only one with continual disconnects while everything else works flawlessly.

What's funny is for several days I had no issues at home whatsoever. I had actually forgotten that this was even a problem until I suddenly couldn't get any work done or transfer anything of significant size (200 MB+) from my server without the connection tanking altogether.

P.S. - As I went to hit "post comment" as I got done typing this message I lost connection yet again. I then ran a cat against syslog and copied everything over the last few minutes into a pastebin in case it helps.

http://paste.ubuntu.com/7828318/

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.127.5

---------------
linux-firmware (1.127.5) trusty; urgency=medium

  * Restore iwlwifi-7260-8.ucode. Testing in http://bugs.launchpad.net/bugs/1293569
    comment #67 indicates that the addition of kernel patch 'iwlwifi: mvm: disable
    beacon filtering' is sufficient to re-enable this version of the ucode.
    -LP: #1293569
 -- Tim Gardner <email address hidden> Sat, 12 Jul 2014 07:47:54 +0100

Changed in linux-firmware (Ubuntu Trusty):
status: Fix Committed → Fix Released
Sergio (sergiorussia) wrote :

just updated firmware to 1.127.5, while running kernel 3.13.0-32.57
but "modinfo iwlwifi" tells me that its using iwlwifi-7260-7.ucode
or I should check it in the other way?
"dmesg | grep iwlwifi" tells exactly the same as for @jasauders in comment #72

On Wed, Jul 23, 2014 at 06:13:37PM -0000, Sergio wrote:
> just updated firmware to 1.127.5, while running kernel 3.13.0-32.57
> but "modinfo iwlwifi" tells me that its using iwlwifi-7260-7.ucode
> or I should check it in the other way?
> "dmesg | grep iwlwifi" tells exactly the same as for @jasauders in comment #72

See earlier in this bug, starting with comment #15. If dmesg says you
have 22.24.8.0 then you have the -8 firmware.

JaSauders (jasauders) wrote :

Well, that's disappointing. As per the dmesg, I am indeed running 22.24.8.0, fully updated, and I lost wireless in an hour's time.

This bug is not fixed.

Emmanuel Grumbach (egrumbach) wrote :

Are you sure you have the right kernel?
If you delete -8.ucode and fallback to -7.ucode, does the problem disappear?

JaSauders (jasauders) wrote :

3.13.0-32-generic

[52184.190874] iwlwifi 0000:02:00.0: Loaded firmware version: 22.24.8.0

I just checked and I have no updates available. In other news I let my laptop run idle throughout last night pinging a weather site every 5 seconds. I didn't drop connection once. I'm going to use the laptop throughout today and see if it comes up again.

What do I do to fall back to -7? Just delete the -8 file as (I believe) mentioned above?

Leith Bade (ljbade) wrote :

Is this issue related to the issue I am having with the Intel 7260 WiFi on Ubuntu 14.04 Server?

I have found that on 11n mode the connection is very slow.

The latency to WiFi router varies wildly between 1 to 100ms. Also using SSH over the connection is very laggy and slow.

If I disable 11n mode (fall back to g) the latency becomes a stable 0.6ms and SSH is fluid.

My computer:
Mobo: Asus H81M-E with BIOS 2001
CPU: Intel Celeron G1840T
RAM: 2x2GB DDR3 Patriot
HDD: WD Red 1TB
WiFi: Intel Wireless 7620 mPCIe on PCIe adapter plugged into x2 lane (on MCH)
WiFi router: NetComm Liberty Series 3G18WV - 3G Wireless N300 VoIP Router

Also location is Australia and the WiFi is on channel 11 in case that matters.

I am using latest linux-firmware (1.127.5) with firmware version 22.24.8.0

Also the connection sometimes stops responding completely.

Marcel Miguel (marcel-miguel) wrote :

With kernel 3.13.0.32 (using trusty-proposed) and firmware 22.24.8.0. Having lots of disconnections, normally not recovering connection.
With 3.13.0.30, firmware 22.1.7.0 maybe the same amount of disconnections, but normally wifi recovers after a minut.

weer (romeo8881) wrote :

Linux h4f 3.13.0-32-generic #57-Ubuntu SMP Tue Jul 15 03:51:08 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux
on Sager laptop
iwlwifi-7260-9.ucode
I have the same issue with frequent reconnect.

Seth Forshee (sforshee) wrote :

For those of you continuing to have problems, please open new bugs by running 'ubuntu-bug linux' in a terminal. Since the problems originally reported in this bug are verified to have been fixed we need to investigate remaining problems separately. Feel free to subscribe me to the new bug reports. Thanks!

JaSauders (jasauders) wrote :

Would it be okay to have the new bug linked here? (as in, this bug is fixed but if you're still having problems follow bug #12345678?) I'd like to be the one to report the bug, but given that I'm on the brink of swapping this laptop with another XPS 13 from Dell that doesn't have the problematic 7260 chip (sorry, but with no anticipation of a quick fix and given this is my work laptop, I have little choice), I likely won't be of additional troubleshooting assistance in a matter of a week. I would still like to follow the bug though, as I'm sure most users subscribed to this bug would as it seems the majority of users are still affected...

Seth Forshee (sforshee) wrote :

On Mon, Jul 28, 2014 at 01:29:48PM -0000, JaSauders wrote:
> Would it be okay to have the new bug linked here? (as in, this bug is
> fixed but if you're still having problems follow bug #12345678?) I'd
> like to be the one to report the bug, but given that I'm on the brink of
> swapping this laptop with another XPS 13 from Dell that doesn't have the
> problematic 7260 chip (sorry, but with no anticipation of a quick fix
> and given this is my work laptop, I have little choice), I likely won't
> be of additional troubleshooting assistance in a matter of a week. I
> would still like to follow the bug though, as I'm sure most users
> subscribed to this bug would as it seems the majority of users are still
> affected...

It's often difficult to tell if two similar problems really have the
same root cause (as evidenced by this bug where the problem is fixed for
some but not for others). So I really think it's better for everyone to
file a separate report so we can collect inidividual hardware
information and logs, then if we later determine they're really the same
problem we can mark them all as duplicates of one bug.

JaSauders (jasauders) wrote :

Thanks, Seth. I wasn't necessarily suggesting that the to-be-filed bug is a 'dup', but moreso just acknowledging the fact that a lot of users as mentioned above still have problems. If these users don't have a direct link to click on the new report, subscribe and mark as 'affects me too', then the alternative is to dig around Launchpad in order to find the new bug. I was moreso just suggesting an easier way for the users above to track down and follow the new bug, that's all. :D

Seth Forshee (sforshee) wrote :

On Mon, Jul 28, 2014 at 02:07:58PM -0000, JaSauders wrote:
> Thanks, Seth. I wasn't necessarily suggesting that the to-be-filed bug
> is a 'dup', but moreso just acknowledging the fact that a lot of users
> as mentioned above still have problems. If these users don't have a
> direct link to click on the new report, subscribe and mark as 'affects
> me too', then the alternative is to dig around Launchpad in order to
> find the new bug. I was moreso just suggesting an easier way for the
> users above to track down and follow the new bug, that's all. :D

What I was trying to say is that each person still having problems
should file separate bug reports rather than all clicking "me too" on a
single bug report. Even when the symptoms are similar there can be
multiple root causes, and when someone just clicks "me too" it doesn't
give us any information to help determine whether or not it's really the
same problem. So it's better to file a new bug and then mark it as a
duplicate later if we find out it's the exact same problem as in another
bug report.

Emmanuel Grumbach (egrumbach) wrote :

you may want to look at https://bugzilla.kernel.org/show_bug.cgi?id=78101
In this case, the bug is in the AP.

JaSauders (jasauders) wrote :

Eh, that'd be something different then... Unless Meraki, Linksys, Dlink, Netgear, and Aruba all have the same bug in their APs. :(

Emmanuel Grumbach (egrumbach) wrote :

One more thing you can do is to try a newer kernel + newer firmware.
3.16-rc6 would be a good choice or at least 3.15.X

You can also work with backport which will allow you to stay with your current stable and yet to have the latest wireless stack.

Seth Forshee (sforshee) wrote :

On Mon, Jul 28, 2014 at 04:23:13PM -0000, JaSauders wrote:
> Eh, that'd be something different then... Unless Meraki, Linksys, Dlink,
> Netgear, and Aruba all have the same bug in their APs. :(

Please, just run 'ubuntu-bug linux' to file a bug and subscribe me.
Everyone else having problems do the same. I'll be making a point of
going through these bugs to work on resolving the issues people are
still seeing with 7260 wireless.

Marcel Miguel (marcel-miguel) wrote :

Just added a new bug #1349572 and suscribed Seth Forshee.

Steve Breen (sbreen) wrote :

Added a new https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1354975 related to the same issue. Subscribing Seth.

Enkouyami (furyhamster) wrote :

I have this issue on Linux Mint 17, which is built on Ubuntu Trusty 14.04, and that fix hasn't been applied to LM yet.

Enkouyami (furyhamster) wrote :

Added a new bug #1373552 and also subscribed Seth.

Andrey Arapov (andrey-arapov) wrote :

Possibly related to the https://bugs.launchpad.net/ubuntu/+source/linux-firmware/+bug/1371425

try to downgrade to 1.127.4 at least or less than 1.127.4, likely the bug was introduced with linux-firmware 1.127.5

ehoxha (kasper-lyster) wrote :

I use Ubuntu 14.04 with 3.13.0-40-generic kernel and I have had the exact same problems mentioned in this foroum, hilarious high ping, and a drop in network signal. I incountered them all within 15-20 minutes after booting into the system. I installed a new network card today from a iwlwifi-7260-8 using.ucode firmware. to a Qualcomm Atheros QCA9565 / AR9565 Wireless Network A card and for the last 15 hours I haven't had any trouble with it.
I will report back in about one week to let you know if there are any changes.

Oleksandr (s-oleksandr) wrote :

This bug has appeared again in Ubuntu 14.10 after upgrade from 14.04. In my case the problem with Intel Wireless-N 7260 driver on my Lenovo L440 disrupts the wireless transmission of TP-Link WR74ND.

JaSauders (jasauders) wrote :

It sounds like the 7260 wireless card is an all around headache for pretty much any operating system. To date I have heard of a great deal of users with issues on Windows 7, 8, 8.1, Ubuntu, Mint, Fedora, Arch, and Debian. Perhaps others, but those are the specific ones I recall.

There's a lengthy discussion on the Intel forums... not that it helps out much for this specific issue, but I figured it's worth mentioning that we (us Linux users) are not alone with 7260 woes.

https://communities.intel.com/thread/47983?start=0&tstart=0

Sergio (sergiorussia) wrote :

same here, but seems like the bug was appeared quiet recently, as I had got stable connection until recent updates. I'm using Ubuntu 14.04 with up-to-date packages

Sergio (sergiorussia) wrote :

I think the only problem-related package updates I've made were linux-firmware (1.127.10 => 1.127.11) and also linux kernel (3.13.0-43.72 => 3.13.0-44.73). I'll try to revert them back and report if it helps

Sergio (sergiorussia) wrote :

looks like reverting to the older kernel helped, connection is quiet stable back again. the only related change in newer kernel was the fix of the bug #1393317.

Ludek (lusmo) wrote :

Same here, Ubuntu 14.04 and 14.10 64 bit, ntb Acer & Lenovo the same problem.

Same here, Ubuntu 14.04 and 14.10 64 bit, dell vostro 5470.
I found a solution: BURN THIS MOTHERFRACKING CARD and install a new one.

Emmanuel Grumbach (egrumbach) wrote :

There is an easier solution: update the driver.
3.13 is old and it uses and old firmware.
You can update your driver with the help of backport and it will dramatically improve the behavior of WiFi.
I also tested 3.16 (14.10) and latest driver with backport. The latest backport behaves *much* better.

JaSauders (jasauders) wrote :

@ Emmanuel

Not to sound pessimistic, but there seems to be a rather wild different between one 7260 to the next 7260. Myself and two co-workers got the same XPS 13 with Ubuntu. The other two had no issues, while I would disconnect continuously, often times even when we were in the same room. We were running the same distro and everything. Even when I swapped the card three times, antenna twice, and the motherboard once, the issue persisted. Ultimately this resulted in me trading up the XPS 13 under warranty for a Latitude E7440 with Ubuntu, so it worked out (for me) despite the issue not having been "fixed". Likewise, a friend of mine had a laptop with a 7260 chip where he had nothing but issues despite the extensive amount of troubleshooting and testing he did. He ended up buying another 7260 based laptop ready to swap the chip but he ended up having no issues, so he just kept chugging along with it.

There's a massive thread on the Intel forums with seemingly no answer. Users from all types of distributions and operating systems are posting about their issues, from 7 to 8 to Arch and Ubuntu. I want this fixed in ways I cannot begin to describe, but we're about 1.5 years in since this card's release with no "official" fix, just odds and ends tweaks that seem to help one or two users, but not everybody. I can't help but to feel that this is some sort of hardware issue. Unfortunately, Intel has been rather quiet about it, so at this point it's nothing more than an assumption.

Anyway, just wanted to throw that out there.

Richie (richardjmarini) wrote :

I'm having the same problem. Have a Dell XPS 15 with Network controller: Intel Corporation Wireless 7260 (rev 6b). Wifi link constanlty drops. Disabling power management and 11n_disable stablizes the connection a bit so I no longer get dropped off but wifi link is still very slow (it varies from minute to minute but over all still very slow). Running Ubuntu 14.04 LTS

Yuriy Vidineev (adeptg) wrote :

Dell XPS 13 (Intel Corporation Wireless 7260 (rev 6b)), kubuntu 14.04. With linux 3.13.0-44 and iwlwifi-7260-7.ucode I had no problems. Few days ago I installed linux 3.16.0-31 (it's used iwlwifi-7260-9.ucode) and got a bunch of disconnects

spinxz (spinxz) wrote :

Same problem on Lenovo Carbon X1 gen2 with Intel Wireless 7260 (rev 83).
Using Ubuntu 15.04 with 3.19.0-21 kernel (x86_64).
Bluetooth is soft-blocked with rfkill but this does not solve the problem.

I constantly get disconnects:

wlan0: deauthenticating from ....... by local choice (Reason: 3=DEAUTH_LEAVING)

Displaying first 40 and last 40 comments. View all 109 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Bug attachments

Remote bug watches

Bug watches keep track of this bug in other bug trackers.